- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# actions.hpp File Reference

Implements base class Task, TaskFactory and the various supported actions (derived from Task). More...

`#include <string>`
`#include <map>`
`#include "exiv2.hpp"`
`#include "image.hpp"`
`#include "exif.hpp"`
`#include "iptc.hpp"`

Include dependency graph for actions.hpp:

## Namespaces
namespace | Exiv2
namespace | Action
## Classes
class | Action::Task
| Abstract base class for all concrete actions. More...
class | Action::TaskFactory
| Task factory. More...
class | Action::Print
| Print the Exif (or other metadata) of a file to stdout More...
class | Action::Rename
| Rename a file to its metadate creation timestamp, in the specified format. More...
class | Action::Adjust
| Adjust the Exif (or other metadata) timestamps More...
class | Action::Erase
| Erase the entire exif data or only the thumbnail section. More...
class | Action::Extract
| Extract the entire exif data or only the thumbnail section. More...
class | Action::Insert
| Insert the Exif data from corresponding *.exv files. More...
class | Action::Modify
| Modify the Exif data according to the commands in the modification table. More...
class | Action::FixIso
| Copy ISO settings from any of the Nikon makernotes to the regular Exif tag, Exif.Photo.ISOSpeedRatings. More...
## Enumerations
enum | Action::TaskType { none, adjust, print, rename, erase, extract, insert, modify, fixiso }
| Enumerates all tasks.

## Detailed Description

Implements base class Task, TaskFactory and the various supported actions (derived from Task).

Version:
  Rev
    771

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  11-Dec-03, ahu: created